Bug 204011 - Xen: kernel unaligned access
Summary: Xen: kernel unaligned access
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-xen   
(Show other bugs)
Version: 6
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xen Maintainance List
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 212505 212536 212645
TreeView+ depends on / blocked
 
Reported: 2006-08-24 23:46 UTC by Akio Takebe
Modified: 2009-12-14 20:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 23:17:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ported from xen-unstable.hg to kernel-2.6.18-1.2736.el5 (2.31 KB, patch)
2006-10-27 02:20 UTC, Aron Griffis
no flags Details | Diff

Description Akio Takebe 2006-08-24 23:46:32 UTC
Description of problem:
We have some error message by using network on guest OS.
kernel unaligned access to 0xe0000000187a4e1e, ip=0xa0000001004fad50

Version-Release number of selected component (if applicable):
My environment is;
- dom0/domU kernel
   http://hg.et.redhat.com/kernel/linux-2.6-xen-fedora cset #35247
- xen & tools
   http://xenbits.xensource.com/ext/xen-ia64-unstable.hg cset #11048
- Machine
   FedoraCore2 test2 on Tiger4 

How reproducible:
Always

Steps to Reproduce:
1. On domU, network is enabled. 
2.
3.
  
Actual results:        
kernel unaligned access to 0xe0000000187a4e1e, ip=0xa0000001004faed0
kernel unaligned access to 0xe0000000187a4e2e, ip=0xa0000001004fb130
kernel unaligned access to 0xe0000000187a4e1e, ip=0xa0000001004fb2e0
kernel unaligned access to 0xe00000001662921e, ip=0xa0000001004fad50
kernel unaligned access to 0xe00000001662921e, ip=0xa0000001004fae21
kernel unaligned access to 0xe00000001662921e, ip=0xa0000001004faed0
kernel unaligned access to 0xe00000001662922e, ip=0xa0000001004fb130
kernel unaligned access to 0xe00000001662921e, ip=0xa0000001004fb2e0
kernel unaligned access to 0xe0000000187a5e1e, ip=0xa0000001004fad50
kernel unaligned access to 0xe0000000187a5e1e, ip=0xa0000001004fae21
kernel unaligned access to 0xe0000000187a5e1e, ip=0xa0000001004faed0
kernel unaligned access to 0xe0000000187a5e2e, ip=0xa0000001004fb130
kernel unaligned access to 0xe0000000187a5e1e, ip=0xa0000001004fb2e0
kernel unaligned access to 0xe00000000df1a61e, ip=0xa0000001004fad50
kernel unaligned access to 0xe00000000df1a61e, ip=0xa0000001004fae21
kernel unaligned access to 0xe00000000df1a61e, ip=0xa0000001004faed0
kernel unaligned access to 0xe00000000df1a62e, ip=0xa0000001004fb130
kernel unaligned access to 0xe00000000df1a61e, ip=0xa0000001004fb2e0
kernel unaligned access to 0xe0000000187a501e, ip=0xa0000001004fad50
kernel unaligned access to 0xe0000000187a501e, ip=0xa0000001004fae21
kernel unaligned access to 0xe0000000187a501e, ip=0xa0000001004faed0
kernel unaligned access to 0xe0000000187a502e, ip=0xa0000001004fb130
kernel unaligned access to 0xe0000000187a501e, ip=0xa0000001004fb2e0

Expected results:
Not access unaligned memory and there are no error messages


Additional info:

Comment 1 Akio Takebe 2006-10-19 00:47:32 UTC
This problem is fixed at changeset 11815 of xen-ustable.hg.

Please apply the following patch.
http://xenbits.xensource.com/xen-unstable.hg?cs=797430d25f1b

Best Regards,

Akio Takebe

Comment 2 Aron Griffis 2006-10-27 02:20:33 UTC
Created attachment 139548 [details]
ported from xen-unstable.hg to kernel-2.6.18-1.2736.el5

Comment 3 Matthew Miller 2007-04-06 19:40:15 UTC
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]


Comment 4 Red Hat Bugzilla 2007-07-25 01:33:04 UTC
change QA contact

Comment 5 Chris Lalancette 2008-02-26 23:17:50 UTC
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks



Note You need to log in before you can comment on or make changes to this bug.